package com.zehong.system.domain;

import java.io.Serializable;
import java.util.Date;

public class TDetectorReportData implements Serializable {
    private Integer id;

    private String sourceId;

    private String detectorCode;

    private String detectorStatusId;

    private String statusName;

    private Float reportValue;

    private Integer zhHostStatusId;

    private Integer netPoint;

    private Integer signalStrength;

    private String ipAddress;

    private Date createTime;

    // 是否销警，默认0, 1自动销警，2手动销警
    private String isCancelAlarm;

    private Date cancelTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId == null ? null : sourceId.trim();
    }

    public String getDetectorCode() {
        return detectorCode;
    }

    public void setDetectorCode(String detectorCode) {
        this.detectorCode = detectorCode;
    }

    public String getDetectorStatusId() {
        return detectorStatusId;
    }

    public void setDetectorStatusId(String detectorStatusId) {
        this.detectorStatusId = detectorStatusId;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public Float getReportValue() {
        return reportValue;
    }

    public void setReportValue(Float reportValue) {
        this.reportValue = reportValue;
    }

    public Integer getZhHostStatusId() {
        return zhHostStatusId;
    }

    public void setZhHostStatusId(Integer zhHostStatusId) {
        this.zhHostStatusId = zhHostStatusId;
    }

    public Integer getNetPoint() {
        return netPoint;
    }

    public void setNetPoint(Integer netPoint) {
        this.netPoint = netPoint;
    }

    public Integer getSignalStrength() {
        return signalStrength;
    }

    public void setSignalStrength(Integer signalStrength) {
        this.signalStrength = signalStrength;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress == null ? null : ipAddress.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getIsCancelAlarm() {
        return isCancelAlarm;
    }

    public void setIsCancelAlarm(String isCancelAlarm) {
        this.isCancelAlarm = isCancelAlarm == null ? null : isCancelAlarm.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }
}